Sessions
Delete a visitor session
DELETE
/api/websites/{websiteId}/sessions/{sessionId}Deletes the specified session and its associated analytics data. Available on installations using only a relational database.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| websiteIdrequired | string | ID of the website. |
| sessionIdrequired | string | ID of the visitor session. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| okrequired | any | Whether the operation succeeded. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
404Not found.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
404 example
Code samples
cURL